CODESIGN_ALLOCATE(1)

NAME
codesign_allocate - add code signing data to a Mach-O file

SYNOPSIS
codesign_allocate -i oldfile [ -a arch size ]... -o newfile

DESCRIPTION
codesign_allocate sets up a Mach-O file used by the dynamic linker so space for code signing data of the specified size for the specified architecture is embed in the Mach-O file. The program must be passed one -a argument for each architecture in a universal file, or exactly one -a for a thin file.

-i oldfile
    specifies the input file as oldfile.

-o newfile
    specifies the output file as newfile.

-a arch size
    specifies for the architecture arch that the size of the code signing data is to be size. The value of size must be a multiple of 16.